html {
  scroll-behavior: smooth;
}
body{
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: #0c0f11; */
    /* font-family: "system-ui", Roboto, "Helvetica Neue", sans-serif; */
    font-family: Figtree, sans-serif; 
}
#portfolio{
    box-sizing: border-box;
    padding: 15px;
    margin-top: 40px;
    max-width: 800px;
}
#header{
    display: flex;
    align-items: center;
    gap: 20px;
}
.site-title a{
    text-decoration: none;
    color: inherit;
}
.site-title{
    text-align: center;
    font-family: "Oswald", sans-serif;
    font-size: 28px;
    color: rgb(28 28 30 / 75%);  
    cursor: pointer;   
    
}
.site-title:hover{
    color: black;
}
.left-links {
    display: flex;
    gap: 20px;
    font-size: 15px;
    font-family: Figtree, sans-serif; 
    padding-top: 6px;
    margin-left: 15px; 
}

.left-links a {
    color: rgb(28 28 30 / 75%);
    text-decoration: none; 
    position: relative;    
    padding-bottom: 3px;  
}

.left-links a:hover {
    color: black;
    text-decoration: underline;
    text-underline-offset: 6px; 
}

#theme-toggle{
    background: none; 
    border: none;      
    color: inherit;     
    padding: 0;         
    font: inherit;      
    cursor: pointer;     
    color: rgb(28 28 30 / 75%);
    margin-left: auto;
}
#dan ul li{
    list-style: none;
}
#dan a{
    text-decoration: none;
    padding: 0;   
}    
#dan{
    font-family: Figtree, sans-serif; 
    display: flex;
    gap: 10px;
    align-items: center;
    margin: 60px 0 80px;
}

@media (max-width: 600px) {
    #dan{
        flex-wrap: wrap;
        justify-content: center;
        gap: 0;
        margin-top: 30px;
    }
}
.dan-left{
    max-width: 600px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding-left:15px;
    padding-right: 15px;
}
.dan-left h2{
    font-size: 20px;
}
.links a{
    color: inherit;
}
.dan-left .links{
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    margin: 0;
    padding: 0;
    font-family: Figtree, sans-serif; 
    font-size: 15px;
}

.profile {
    flex-shrink: 0;   /* prevents shrinking */
    flex-grow: 0;     /* prevents stretching */
    height: 120px;
    width: 120px;
    /* background: linear-gradient(45deg, #ff7e5f, #feb47b) border-box; */
    border: 2px solid transparent;
    border-radius: 50%;
    overflow: hidden;
}

.profile img{
    width: 100%;
    height: 100%;
    object-fit: cover; /* makes image fill container, keeps ratio, crops excess */
    
}
#projects{
    display: flex;
    flex-direction: column;
    align-items: center;
    border-top: 1px solid rgba(78, 75, 75, 0.089);
    border-bottom: 1px solid rgba(78, 75, 75, 0.089);;
}

.title-project, .title-about-me{
   font-family: 'oswald', sans-serif;
   font-size: 18px;
   padding-top: 15px;
   margin-top: 0;
}
.project {
    max-width: 900px;
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
    padding: 10px;
    background: #fff;
    font-family: 'Helvetica Neue Light', HelveticaNeue-Light, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    border: 1px solid transparent;
    transition: border 0.3s ease;
    box-shadow: 0 2px 8px rgba(100, 100, 100, 0.17);
}
.project:hover{
    border: 1px solid rgba(128, 128, 128, 0.253);
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
}

.proj-img {
    width: 200px;
    height: 150px;
    flex-shrink: 0;
    border-radius: 4px;
    overflow: hidden;
    margin-right: 20px;
}
.proj-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.proj-content {
    flex: 1;
}

.project-header {
    font-family: 'Helvetica Neue Light', HelveticaNeue-Light, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    
}
.proj-title {
    font-size: 18px;
    margin: 0;
    color: #333333;
    margin: 0;
    padding: 0;
}
.proj-date{
    box-sizing: border-box;
    align-self: flex-end;
    font-size: 12px; color: rgba(0,0,0,0.5);
    margin: 0;
    padding: 0;

}
.proj-descrip {
    font-family: 'Helvetica Neue Light', HelveticaNeue-Light, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    margin-top: 8px;
    font-size: 14px;
    color: #333333;
    font-weight: 100;
}
@media (max-width: 600px){
    .project {
        flex-direction: column;
        align-items: center;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.074);
    }
    .proj-img {
        width: 100%;
        max-width: 320px;
        aspect-ratio: 4/3;
        margin: 0 0 12px 0;
    }

    .project-header {
        justify-content: center;
        margin-bottom: 10px;
    }

    .proj-title {
        font-size: 16px;
        text-align: center;
    }

    .proj-descrip {
        padding: 0 10px;
    }
}
#about {
    display: flex;
    flex-direction: column;
    
}
.about-content{
   
    font-family: 'Helvetica Neue Light', HelveticaNeue-Light, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 14px;
    color: #333333;
    display: flex;
    flex-direction: column;
    margin: 0 30px;
}
.title-about-me{
    align-self: center;
}
.about-content h4{
    margin: 25px 0;
}
.about-content p{
    margin: 0;
}

#footer{
    display: flex;
    font-size: 14px;
    width: 100%;
    color: #333333e8;
    border-top: 1px solid #3333331c;
    justify-content: center;
}
#footer p{
    padding-top: 5px;
    margin: 0;
}